﻿@model GarageMaster.Models.AboutSiteSection.ContactsModels.ContactByAdminModel

@{
    ViewData["Title"] = "Index";
}

<h1>@Html.DisplayFor(model => model.Title)</h1>


<div>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Content)
        </dt>
        <dd class="col-sm-10">
            @Html.Raw(Model.Content)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Address)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Address)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Email)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Email)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.PhoneNumber)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.PhoneNumber)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.FilePath)
        </dt>
        <dd class="col-sm-10">
            <img style="width: 80%; height: 80%" src="@Url.Content(Model.FilePath)" />
        </dd>
    </dl>
</div>

<div>
    @if (Model.IsCreated == false)
    {
        <a asp-area="Admin" asp-controller="Contacts" asp-action="CreateContact">
            <input type="submit" value="Create" class="btn btn-primary mt-3" />
        </a>
    }
    else
    {
        <a asp-area="Admin" asp-controller="Contacts" asp-action="EditContact" asp-route-id="@Model.Id">
            <input type="submit" value="Edit" class="btn btn-primary mt-3" />
        </a>
        <a asp-area="Admin" asp-controller="Contacts" asp-action="AddRolesToUser" asp-route-id="@Model.Id">
            <input type="submit" value="Delete" class="btn btn-danger mt-3" />
        </a>
    }
</div>

<div>
    <a asp-area="Admin" asp-action="Index" asp-controller="Home">Back to List</a>
</div>